| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Syntax.Parser.Parser

Description
The parser is generated by Happy (http://www.haskell.org/happy).
Synopsis

moduleParser :: Parser Module
exprParser :: Parser Expr
tokensParser :: Parser [Token]
tests :: IO Bool

Documentation

moduleParser :: Parser Module | Source

Parse a module.

exprParser :: Parser Expr | Source

Parse an expression. Could be used in interactions.

tokensParser :: Parser [Token] | Source

Parse the token stream. Used by the TeX compiler.

tests :: IO Bool | Source

Test suite.
Produced by Haddock version 2.4.2